# getFinancialStatements

## getFinancialStatements

<mark style="color:green;">`POST`</mark> `https://in.bisnode.ee/rest/getFinancialStatements`

**Needed Headers:** Content-type: application/json\
\
This endpoint allows you to get company financial statemanets such as:\
`* full income statement`\
`* balance sheet`\
`* cash flows`\
\
Example Curl request:\
`curl -X POST -k -H 'Content-type: application/json' -i 'https://in.bisnode.ee/rest/getFinancialStatements' --data '{`\
&#x20;   `"token": "0c725874e737c8195de547f67692d8b976726561",`\
&#x20;   `"reg_code": "10117826",`\
&#x20;   `"annual_year": "2018",`\
&#x20;   `"country": "EST",`\
&#x20;   `"language": "en"`\
`}'`

#### Query Parameters

| Name         | Type   | Description                                         |
| ------------ | ------ | --------------------------------------------------- |
| language     | string | 2-letter language code. Must be "en", "et" or "ru". |
| token        | string | Your 'access token' (API key).                      |
| reg\_code    | string | Company registration number.                        |
| annual\_year | string | Annual year                                         |
| country      | string | 3-letter country code "EST". Default is "EST".      |

{% tabs %}
{% tab title="200 This is just an example." %}

```javascript
[
         {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "StatementOfFinancialPositionAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Statement of financial position",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "AssetsAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Assets",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "NonCurrentAssetsAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Non-current assets",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "IntangibleAssets",
            "date": "2018-12-31;2018-01-01",
            "value": "85442;101845",
            "name": "Intangible assests",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "PropertyPlantAndEquipment",
            "date": "2018-12-31;2018-01-01",
            "value": "94076;85904",
            "name": "Property, plant and equipment",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "LongTermReceivablesAndPrepayments",
            "date": "2018-12-31;2018-01-01",
            "value": "14792;14792",
            "name": "Long term receivables and prepayments",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "NonCurrentAssets",
            "date": "2018-12-31;2018-01-01",
            "value": "194310;202541",
            "name": "Total non-current assets",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "CurrentAssetsAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Current assets",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "ShortTermReceivablesAndPrepayments",
            "date": "2018-12-31;2018-01-01",
            "value": "187060;249252",
            "name": "Short term receivables and prepayments",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "CashAndCashEquivalents",
            "date": "2018-12-31;2018-01-01",
            "value": "1319036;1274359",
            "name": "Cash and cash equivalents",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "CurrentAssets",
            "date": "2018-12-31;2018-01-01",
            "value": "1506096;1523611",
            "name": "Total current assets",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "Assets",
            "date": "2018-12-31;2018-01-01",
            "value": "1700406;1726152",
            "name": "Total assets",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "LiabilitiesAndEquityAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Liabilities and equity",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "EquityAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Equity",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "IssuedCapital2",
            "date": "2018-12-31;2018-01-01",
            "value": "25560;25560",
            "name": "Issued capital",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "StatutoryReserveCapital",
            "date": "2018-12-31;2018-01-01",
            "value": "2556;2556",
            "name": "Statutory reserve capital",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "RetainedEarningsLoss",
            "date": "2018-12-31;2018-01-01",
            "value": "1367707;1404390",
            "name": "Retained earnings (loss)",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "AnnualPeriodProfitLoss",
            "date": "2018-12-31;2018-01-01",
            "value": "6073;-36683",
            "name": "Annual period profit (loss)",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "Equity",
            "date": "2018-12-31;2018-01-01",
            "value": "1401896;1395823",
            "name": "Total equity",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "LiabilitiesAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Liabilities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "NonCurrentLiabilitiesAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Non-current liabilities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "LongTermLoanLiabilities",
            "date": "2018-12-31;2018-01-01",
            "value": "12162;0",
            "name": "Long term loan liablities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "NonCurrentLiabilities",
            "date": "2018-12-31;2018-01-01",
            "value": "12162;0",
            "name": "Total non-current liabilities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "CurrentLiabilitiesAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Current liabilities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "ShortTermLoanLiabilities",
            "date": "2018-12-31;2018-01-01",
            "value": "2403;5638",
            "name": "Short term loan liablities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "ShortTermPayablesAndPrepayments",
            "date": "2018-12-31;2018-01-01",
            "value": "283945;324691",
            "name": "Short term payables and prepayments",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "CurrentLiabilities",
            "date": "2018-12-31;2018-01-01",
            "value": "286348;330329",
            "name": "Total current liabilities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "Liabilities",
            "date": "2018-12-31;2018-01-01",
            "value": "298510;330329",
            "name": "Total liabilities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T001A",
            "chapter": "Statement of financial position (in the order of growing liquidity)",
            "code": "LiabilitiesAndEquity",
            "date": "2018-12-31;2018-01-01",
            "value": "1700406;1726152",
            "name": "Total liabilities and equity",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "IncomeStatementAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Income statement",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "Revenue",
            "date": "2018-12-31;2018-01-01",
            "value": "1800716;1841065",
            "name": "Revenue",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "OtherIncome",
            "date": "2018-12-31;2018-01-01",
            "value": "5426;1380",
            "name": "Other income",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "RawMaterialsAndConsumablesUsed",
            "date": "2018-12-31;2018-01-01",
            "value": "-246282;-322999",
            "name": "Raw materials and consumables used",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "OtherOperatingExpense",
            "date": "2018-12-31;2018-01-01",
            "value": "-213477;-198969",
            "name": "Other operating expense",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "EmployeeExpense",
            "date": "2018-12-31;2018-01-01",
            "value": "-1251423;-1278085",
            "name": "Employee expense",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "DepreciationAndImpairmentLossReversal",
            "date": "2018-12-31;2018-01-01",
            "value": "-80723;-71095",
            "name": "Depreciation and impairment loss (reversal)",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "OtherExpense",
            "date": "2018-12-31;2018-01-01",
            "value": "-7839;-7270",
            "name": "Other expense",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "TotalProfitLoss",
            "date": "2018-12-31;2018-01-01",
            "value": "6398;-35973",
            "name": "Profit (loss)",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "InterestIncome",
            "date": "2018-12-31;2018-01-01",
            "value": "52;0",
            "name": "Interest income",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "InterestExpenses",
            "date": "2018-12-31;2018-01-01",
            "value": "-377;-710",
            "name": "Interest expenses",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "TotalProfitLossBeforeTax",
            "date": "2018-12-31;2018-01-01",
            "value": "6073;-36683",
            "name": "Profit (loss) before tax",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T002",
            "chapter": "Income statement",
            "code": "TotalAnnualPeriodProfitLoss",
            "date": "2018-12-31;2018-01-01",
            "value": "6073;-36683",
            "name": "Annual period profit (loss)",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "StatementOfCashFlowsAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Statement of cash flows",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "CashFlowsFromOperatingActivitiesAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Cash flows from operating activities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "TotalProfitLoss",
            "date": "2018-12-31;2018-01-01",
            "value": "6398;-35973",
            "name": "Profit (loss)",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "AdjustmentsAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Adjustments",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "DepreciationAndImpairmentLossReversalNeg",
            "date": "2018-12-31;2018-01-01",
            "value": "80723;71095",
            "name": "Depreciation and impairment loss (reversal)",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "ProfitLossFromSaleOfNonCurrentAssets",
            "date": "2018-12-31;2018-01-01",
            "value": "-3506;0",
            "name": "Profit (loss) from sale of non-current assets",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "Adjustments",
            "date": "2018-12-31;2018-01-01",
            "value": "77217;71095",
            "name": "Total adjustments",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "ChangesInReceivablesAndPrepaymentsRelatedToOperatingActivities",
            "date": "2018-12-31;2018-01-01",
            "value": "62192;-734",
            "name": "Changes in receivables and prepayments related to operating activities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "ChangesInPayablesAndPrepaymentsRelatedToOperatingActivities",
            "date": "2018-12-31;2018-01-01",
            "value": "-42578;104405",
            "name": "Changes in payables and prepayments related to operating activities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "OperatingActivitiesIntrestPaid",
            "date": "2018-12-31;2018-01-01",
            "value": "-377;-436",
            "name": "Interest paid",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "CashFlowsFromOperatingActivities",
            "date": "2018-12-31;2018-01-01",
            "value": "102852;138357",
            "name": "Total cash flows from operating activities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "CashFlowsFromInvestingActivitiesAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Cash flows from investing activities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "InvestingActivitiesPurchaseOfPropertyPlantAndEquipmentAndIntangibleAssets",
            "date": "2018-12-31;2018-01-01",
            "value": "-56069;-124720",
            "name": "Purchase of property, plant and equipment and intangible assets",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "InvestingActivitiesIntrestReceived",
            "date": "2018-12-31;2018-01-01",
            "value": "52;109",
            "name": "Interest received",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "CashFlowsFromInvestingActivities",
            "date": "2018-12-31;2018-01-01",
            "value": "-56017;-124611",
            "name": "Total cash flows from investing activities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "CashFlowsFromFinancingActivitiesAbstract",
            "date": "2018-12-31;2018-01-01",
            "value": ";",
            "name": "Cash flows from financing activities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "FinancingActivitiesProceedsFromFinanceLease",
            "date": "2018-12-31;2018-01-01",
            "value": "-2158;-1863",
            "name": "Proceeds from finance lease",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "CashFlowsFromFinancingActivities",
            "date": "2018-12-31;2018-01-01",
            "value": "-2158;-1863",
            "name": "Total cash flows from financing activities",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "CashFlows",
            "date": "2018-12-31;2018-01-01",
            "value": "44677;11883",
            "name": "Total cash flows",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "CashAndCashEquivalentsAtBeginningOfPeriod",
            "date": "2018-12-31;2018-01-01",
            "value": "1274359;1262476",
            "name": "Cash and cash equivalents at beginning of period",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "ChangeInCashAndCashEquivalents",
            "date": "2018-12-31;2018-01-01",
            "value": "44677;11883",
            "name": "Change in cash and cash equivalents",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T004",
            "chapter": "Statement of cash flows",
            "code": "CashAndCashEquivalentsAtEndOfPeriod",
            "date": "2018-12-31;2018-01-01",
            "value": "1319036;1274359",
            "name": "Cash and cash equivalents at end of period",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T230",
            "chapter": "Note Miscellaneous operating expenses",
            "code": "MiscellaneousOperatingExpensesLeases",
            "date": "2018-12-31;2018-01-01",
            "value": "-60890;-34647",
            "name": "Leases",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T230",
            "chapter": "Note Miscellaneous operating expenses",
            "code": "MiscellaneousOperatingExpensesEnergy",
            "date": "2018-12-31;2018-01-01",
            "value": "-1961;4117",
            "name": "Energy",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T230",
            "chapter": "Note Miscellaneous operating expenses",
            "code": "MiscellaneousOperatingExpensesElectricity",
            "date": "2018-12-31;2018-01-01",
            "value": "-1961;4117",
            "name": "Electricity",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T230",
            "chapter": "Note Miscellaneous operating expenses",
            "code": "MiscellaneousOperatingExpensesMiscellaneousOfficeExpense",
            "date": "2018-12-31;2018-01-01",
            "value": "-34688;-36704",
            "name": "Miscellaneous office expenses",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T230",
            "chapter": "Note Miscellaneous operating expenses",
            "code": "MiscellaneousOperatingExpensesTravelExpense",
            "date": "2018-12-31;2018-01-01",
            "value": "-3543;-10751",
            "name": "Travel expense",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T230",
            "chapter": "Note Miscellaneous operating expenses",
            "code": "MiscellaneousOperatingExpensesTrainingExpense",
            "date": "2018-12-31;2018-01-01",
            "value": "-4680;-4704",
            "name": "Training expense",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T230",
            "chapter": "Note Miscellaneous operating expenses",
            "code": "MiscellaneousOperatingExpensesAllowanceForDoubtfulReceivables",
            "date": "2018-12-31;2018-01-01",
            "value": "-796;-927",
            "name": "Allowance for doubtful receivables",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T230",
            "chapter": "Note Miscellaneous operating expenses",
            "code": "MiscellaneousOperatingExpenses",
            "date": "2018-12-31;2018-01-01",
            "value": "-213477;-198969",
            "name": "Miscellaneous operating expenses",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T235",
            "chapter": "Note Labor expense",
            "code": "WageAndSalaryExpense",
            "date": "2018-12-31;2018-01-01",
            "value": "-921439;-941688",
            "name": "Wage and salary expense",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T235",
            "chapter": "Note Labor expense",
            "code": "SocialSecurityTaxes",
            "date": "2018-12-31;2018-01-01",
            "value": "-310637;-317323",
            "name": "Social security taxes",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T235",
            "chapter": "Note Labor expense",
            "code": "LaborExpense",
            "date": "2018-12-31;2018-01-01",
            "value": "-1251423;-1278085",
            "name": "Total labor expense",
            "bold": "no",
            "depth": 0
        },
        {
            "chapter_code": "T235",
            "chapter": "Note Labor expense",
            "code": "AverageNumberOfEmployeesInFullTimeEquivalentUnits",
            "date": "2018-12-31;2018-01-01",
            "value": "64;57",
            "name": "Average number of employees in full time equivalent units",
            "bold": "no",
            "depth": 0
        }
]
```

{% endtab %}

{% tab title="400 Invalid country code or no annual year" %}

```javascript
{
    "error": "error",
    "code": 400,
    "message": "Only EST country supported in this request"
}
or
{
    "error": "error",
    "code": 400,
    "message": "No annual year selected"
}
```

{% endtab %}

{% tab title="401 Invalid token" %}

```javascript
{
    "error": "error",
    "code": 401,
    "message": "Token is wrong"
}
```

{% endtab %}

{% tab title="402 Not enough credit" %}

```javascript
{
    "error": "error",
    "code": 402,
    "message": "Monthly requests limit exceeded"
}
```

{% endtab %}

{% tab title="403 " %}

```javascript
{
    "error": "error",
    "code": 403,
    "message": "This request is not allowed for you"
}
```

{% endtab %}

{% tab title="404 Could not find a company matching this query" %}

```javascript
{
    "error": "error",
    "code": 404,
    "message": "No such company"
}
```

{% endtab %}

{% tab title="409 " %}

```javascript
{
    "error": "error",
    "code": 409,
    "message": "Something went wrong"
}
```

{% endtab %}

{% tab title="422 Validation failed" %}

```javascript
{
    "error": "error",
    "code": 422,
    "message": "Schema validation error"
}
```

{% endtab %}

{% tab title="423 " %}

```javascript
{
    "error": "error",
    "code": 423,
    "message": "Locked. Wait for previous request to complete"
}
```

{% endtab %}

{% tab title="500 " %}

```javascript
{
    "error": "error",
    "code": 500,
    "message": "Internal Server Error"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bisnode.ee/financial-information/getfinancialstatements.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
